Public Class ReglaValidacionFilaTfno
  Inherits ValidationRule

  Public Overrides Function Validate(value As Object, cultureInfo As Globalization.CultureInfo) As ValidationResult
    Dim fila As CTelefonoBO = TryCast(TryCast(value, BindingGroup).Items(0), CTelefonoBO)
    Dim tfno As Long
    If Not Long.TryParse(fila.Telefono, tfno) Then
      Return New ValidationResult(False, "No es un número de teléfono válido")
    End If
    Return ValidationResult.ValidResult
  End Function
End Class
